Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.alignment.event
Class AlignmentEventType

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.alignment.event.AlignmentEventType

public final class AlignmentEventType
extends Object

AlignmentEventType.java This class provides an enumerated type for the AlignmentEvent class to pass around as an identifier Created: Tue Feb 15 20:26:54 2000

Version:
  $Id: AlignmentEventType.java,v 1.6 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Field Summary
`static AlignmentEventType` | `DELETE` Event type indicated a sequence has been removed from the sequence alignment
`static AlignmentEventType` | `INSERT` Event type indicating a new sequence has been added to the sequence alignment
`static AlignmentEventType` | `INSET_CHANGE` Event type indicating a change in the inset/preceeding number of gaps
`static AlignmentEventType` | `LENGTH_CHANGE` Event type indicating that the length of the alignment has changed.
`static AlignmentEventType` | `UNSPECIFIED` This type says that the alignment has changed in some unknown way.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSERT

    public static final AlignmentEventType INSERT

  Event type indicating a new sequence has been added to the sequence alignment

### DELETE

    public static final AlignmentEventType DELETE

  Event type indicated a sequence has been removed from the sequence alignment

### INSET_CHANGE

    public static final AlignmentEventType INSET_CHANGE

  Event type indicating a change in the inset/preceeding number of gaps

### LENGTH_CHANGE

    public static final AlignmentEventType LENGTH_CHANGE

  Event type indicating that the length of the alignment has changed.

### UNSPECIFIED

    public static final AlignmentEventType UNSPECIFIED

  This type says that the alignment has changed in some unknown way. This is very useful when its hard to work out what has changed. Its probably going to be fairly inefficient as well, and should be removed when feasible so that optimisations are possible.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD